#ifndef SM_BGSET_H
#define SM_BGSET_H

#ifdef __cplusplus
extern "C" {
#endif

/*
 * 设置全局（所有）用户桌面壁纸，执行后，所有用户桌面壁纸均统一使用全局桌面壁纸设定，用户各自设定将不再有效
 * @picture_path:    要设定为用户桌面壁纸的图片路径
 * 返回值：0成功，-1失败
 */  
extern int set_global_background(const char *picture_path);

/*
 * 取消全局用户桌面壁纸设定，执行后，各用户桌面壁纸将恢复为用户各自设定
 *　返回值：0成功，-1失败
 */  
extern int unset_global_background();


/*
 * 读取全局用户桌面壁纸信息
 * 返回值：
 *  NULL: 失败, 无记录信息.
 *  其他： 成功,壁纸信息.
 */
extern char *get_global_bg_from_conf();
#ifdef __cplusplus
}
#endif

#endif
