#ifndef SM_KMODPRO_H
#define SM_KMODPRO_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * 设置内核模块至防卸载保护状态
 * 返回值：
 *      0： 成功
 *      -1：程序未授权
 *      -2：参数传入异常
 *      -3：参数路径不存在
 *      -4：添加程序至内核模块防卸载失败
 */
extern int kmodpro_policy_add(char *path);


/**
 * 移除内核模块至防卸载保护状态
 * 返回值：
 *      0： 成功
 *      -1：程序未授权
 *      -2：参数传入异常
 *      -3：参数路径不存在
 *      -4：移除程序至内核模块防卸载失败
 */
extern int kmodpro_policy_remove(char *path);

/**
 * 读取所有节点信息
 * 返回值：
 *      NULL：失败或记录不存在
 *      其他：成功，配置信息数组
 */
extern char **kmodpro_read_all_data(int *count);

#ifdef __cplusplus
}
#endif

#endif
